
#include <stdlib.h>
#include <graphics/gfxbase.h>
#include <intuition/intuitionbase.h>
#include <proto/exec.h>
#include <proto/intuition.h>
#include <proto/graphics.h>

extern struct GfxBase* GfxBase;
extern struct IntuitionBase* IntuitionBase;

extern void SetSystem();
extern char* AutoTilemap();


int main() {
  GfxBase = (void*)OldOpenLibrary("graphics.library");
  IntuitionBase = (void*)OldOpenLibrary("intuition.library");

  LoadView(NULL);
  WaitTOF();
  WaitTOF();
  OwnBlitter();
  WaitBlit();

  char* map = AutoTilemap();

  while (1) {
    int i = rand()%(20*16), t = rand()%5;
    map[i] = t;
  }

}
