
               ifnd HARDWARE_I

HARDWARE_I = 1

               ifnd hw_base
hw_base = $dff000
               endif
hw_rel = hw_base-$dff000

;------------- Hardware registers and bits -------------------------------------

o_bltddat  = 0-hw_rel
o_dmaconr  = 2-hw_rel
o_vposr    = 4-hw_rel
o_vhposr   = 6-hw_rel
o_dskdatr  = 8-hw_rel
o_joy0dat  = 10-hw_rel
o_joy1dat  = 12-hw_rel
o_clxdat   = 14-hw_rel
o_adkconr  = $10-hw_rel
o_pot0dat  = $12-hw_rel
o_pot1dat  = $14-hw_rel
o_potinp   = $16-hw_rel
o_potgor   = $16-hw_rel
o_serdatr  = $18-hw_rel
o_dskbytr  = $1a-hw_rel
o_intenar  = $1c-hw_rel
o_intreqr  = $1e-hw_rel
o_dskpt    = $20-hw_rel
o_dskpth   = $20-hw_rel
o_dskptl   = $22-hw_rel
o_dsklen   = $24-hw_rel
o_dskdat   = $26-hw_rel
o_refptr   = $28-hw_rel
o_vposw    = $2a-hw_rel
o_vhposw   = $2c-hw_rel
o_copcon   = $2e-hw_rel
o_serdat   = $30-hw_rel
o_serper   = $32-hw_rel
o_potgo    = $34-hw_rel
o_joytest  = $36-hw_rel
o_strequ   = $38-hw_rel
o_strvbl   = $3a-hw_rel
o_strhor   = $3c-hw_rel
o_strlong  = $3e-hw_rel
o_bltcon0  = $40-hw_rel
o_bltcon1  = $42-hw_rel
o_bltam    = $44-hw_rel
o_bltafwm  = $44-hw_rel
o_bltalwm  = $46-hw_rel
o_bltcpt   = $48-hw_rel
o_bltcpth  = $48-hw_rel
o_bltcptl  = $4a-hw_rel
o_bltbpt   = $4c-hw_rel
o_bltbpth  = $4c-hw_rel
o_bltbptl  = $4e-hw_rel
o_bltapt   = $50-hw_rel
o_bltapth  = $50-hw_rel
o_bltaptl  = $52-hw_rel
o_bltdpt   = $54-hw_rel
o_bltdpth  = $54-hw_rel
o_bltdptl  = $56-hw_rel
o_bltsize  = $58-hw_rel
o_bltcon0l = $5a-hw_rel
o_bltsizv  = $5c-hw_rel
o_bltsizh  = $5e-hw_rel
o_bltcmod  = $60-hw_rel
o_bltbmod  = $62-hw_rel
o_bltamod  = $64-hw_rel
o_bltdmod  = $66-hw_rel
o_bltcdat  = $70-hw_rel
o_bltbdat  = $72-hw_rel
o_bltadat  = $74-hw_rel
o_sprhdat  = $78-hw_rel
o_deniseid = $7c-hw_rel
o_lisaid   = $7c-hw_rel
o_dsksync  = $7e-hw_rel
o_cop1lc   = $80-hw_rel
o_cop1lch  = $80-hw_rel
o_cop1lcl  = $82-hw_rel
o_cop2lc   = $84-hw_rel
o_cop2lch  = $84-hw_rel
o_cop2lcl  = $86-hw_rel
o_copjmp1  = $88-hw_rel
o_copjmp2  = $8a-hw_rel
o_copins   = $8c-hw_rel
o_diwstrt  = $8e-hw_rel
o_diwstop  = $90-hw_rel
o_ddfstrt  = $92-hw_rel
o_ddfstop  = $94-hw_rel
o_dmacon   = $96-hw_rel
o_clxcon   = $98-hw_rel
o_intena   = $9a-hw_rel
o_intreq   = $9c-hw_rel
o_adkcon   = $9e-hw_rel
o_aud0lc   = $a0-hw_rel
o_aud0lch  = $a0-hw_rel
o_aud0lcl  = $a2-hw_rel
o_aud0len  = $a4-hw_rel
o_aud0per  = $a6-hw_rel
o_aud0vol  = $a8-hw_rel
o_aud0dat  = $aa-hw_rel
o_aud1lc   = $b0-hw_rel
o_aud1lch  = $b0-hw_rel
o_aud1lcl  = $b2-hw_rel
o_aud1len  = $b4-hw_rel
o_aud1per  = $b6-hw_rel
o_aud1vol  = $b8-hw_rel
o_aud1dat  = $ba-hw_rel
o_aud2lc   = $c0-hw_rel
o_aud2lch  = $c0-hw_rel
o_aud2lcl  = $c2-hw_rel
o_aud2len  = $c4-hw_rel
o_aud2per  = $c6-hw_rel
o_aud2vol  = $c8-hw_rel
o_aud2dat  = $ca-hw_rel
o_aud3lc   = $d0-hw_rel
o_aud3lch  = $d0-hw_rel
o_aud3lcl  = $d2-hw_rel
o_aud3len  = $d4-hw_rel
o_aud3per  = $d6-hw_rel
o_aud3vol  = $d8-hw_rel
o_aud3dat  = $da-hw_rel
o_bpl1pt   = $e0-hw_rel
o_bpl1pth  = $e0-hw_rel
o_bpl1ptl  = $e2-hw_rel
o_bpl2pt   = $e4-hw_rel
o_bpl2pth  = $e4-hw_rel
o_bpl2ptl  = $e6-hw_rel
o_bpl3pt   = $e8-hw_rel
o_bpl3pth  = $e8-hw_rel
o_bpl3ptl  = $ea-hw_rel
o_bpl4pt   = $ec-hw_rel
o_bpl4pth  = $ec-hw_rel
o_bpl4ptl  = $ee-hw_rel
o_bpl5pt   = $f0-hw_rel
o_bpl5pth  = $f0-hw_rel
o_bpl5ptl  = $f2-hw_rel
o_bpl6pt   = $f4-hw_rel
o_bpl6pth  = $f4-hw_rel
o_bpl6ptl  = $f6-hw_rel
o_bpl7pt   = $f8-hw_rel
o_bpl7pth  = $f8-hw_rel
o_bpl7ptl  = $fa-hw_rel
o_bpl8pt   = $fc-hw_rel
o_bpl8pth  = $fc-hw_rel
o_bpl8ptl  = $fe-hw_rel
o_bplcon0  = $100-hw_rel
o_bplcon1  = $102-hw_rel
o_bplcon2  = $104-hw_rel
o_bplcon3  = $106-hw_rel
o_bpl1mod  = $108-hw_rel
o_bpl2mod  = $10a-hw_rel
o_bplcon4  = $10c-hw_rel
o_clxcon2  = $10e-hw_rel
o_bpl1dat  = $110-hw_rel
o_bpl2dat  = $112-hw_rel
o_bpl3dat  = $114-hw_rel
o_bpl4dat  = $116-hw_rel
o_bpl5dat  = $118-hw_rel
o_bpl6dat  = $11a-hw_rel
o_bpl7dat  = $11c-hw_rel
o_bpl8dat  = $11e-hw_rel
o_spr0pt   = $120-hw_rel
o_spr0pth  = $120-hw_rel
o_spr0ptl  = $122-hw_rel
o_spr1pt   = $124-hw_rel
o_spr1pth  = $124-hw_rel
o_spr1ptl  = $126-hw_rel
o_spr2pt   = $128-hw_rel
o_spr2pth  = $128-hw_rel
o_spr2ptl  = $12a-hw_rel
o_spr3pt   = $12c-hw_rel
o_spr3pth  = $12c-hw_rel
o_spr3ptl  = $12e-hw_rel
o_spr4pt   = $130-hw_rel
o_spr4pth  = $130-hw_rel
o_spr4ptl  = $132-hw_rel
o_spr5pt   = $134-hw_rel
o_spr5pth  = $134-hw_rel
o_spr5ptl  = $136-hw_rel
o_spr6pt   = $138-hw_rel
o_spr6pth  = $138-hw_rel
o_spr6ptl  = $13a-hw_rel
o_spr7pt   = $13c-hw_rel
o_spr7pth  = $13c-hw_rel
o_spr7ptl  = $13e-hw_rel
o_spr0pos  = $140-hw_rel
o_spr0ctl  = $142-hw_rel
o_spr0data = $144-hw_rel
o_spr0datb = $146-hw_rel
o_spr1pos  = $148-hw_rel
o_spr1ctl  = $14a-hw_rel
o_spr1data = $14c-hw_rel
o_spr1datb = $14e-hw_rel
o_spr2pos  = $150-hw_rel
o_spr2ctl  = $152-hw_rel
o_spr2data = $154-hw_rel
o_spr2datb = $156-hw_rel
o_spr3pos  = $158-hw_rel
o_spr3ctl  = $15a-hw_rel
o_spr3data = $15c-hw_rel
o_spr3datb = $15e-hw_rel
o_spr4pos  = $160-hw_rel
o_spr4ctl  = $162-hw_rel
o_spr4data = $164-hw_rel
o_spr4datb = $166-hw_rel
o_spr5pos  = $168-hw_rel
o_spr5ctl  = $16a-hw_rel
o_spr5data = $16c-hw_rel
o_spr5datb = $16e-hw_rel
o_spr6pos  = $170-hw_rel
o_spr6ctl  = $172-hw_rel
o_spr6data = $174-hw_rel
o_spr6datb = $176-hw_rel
o_spr7pos  = $178-hw_rel
o_spr7ctl  = $17a-hw_rel
o_spr7data = $17c-hw_rel
o_spr7datb = $17e-hw_rel
o_color00  = $180-hw_rel
o_color0   = $180-hw_rel
o_color01  = $182-hw_rel
o_color1   = $182-hw_rel
o_color02  = $184-hw_rel
o_color2   = $184-hw_rel
o_color03  = $186-hw_rel
o_color3   = $186-hw_rel
o_color04  = $188-hw_rel
o_color4   = $188-hw_rel
o_color05  = $18a-hw_rel
o_color5   = $18a-hw_rel
o_color06  = $18c-hw_rel
o_color6   = $18c-hw_rel
o_color07  = $18e-hw_rel
o_color7   = $18e-hw_rel
o_color08  = $190-hw_rel
o_color8   = $190-hw_rel
o_color09  = $192-hw_rel
o_color9   = $192-hw_rel
o_color10  = $194-hw_rel
o_color11  = $196-hw_rel
o_color12  = $198-hw_rel
o_color13  = $19a-hw_rel
o_color14  = $19c-hw_rel
o_color15  = $19e-hw_rel
o_color16  = $1a0-hw_rel
o_color17  = $1a2-hw_rel
o_color18  = $1a4-hw_rel
o_color19  = $1a6-hw_rel
o_color20  = $1a8-hw_rel
o_color21  = $1aa-hw_rel
o_color22  = $1ac-hw_rel
o_color23  = $1ae-hw_rel
o_color24  = $1b0-hw_rel
o_color25  = $1b2-hw_rel
o_color26  = $1b4-hw_rel
o_color27  = $1b6-hw_rel
o_color28  = $1b8-hw_rel
o_color29  = $1ba-hw_rel
o_color30  = $1bc-hw_rel
o_color31  = $1be-hw_rel
o_htotal   = $1c0-hw_rel
o_hsstop   = $1c2-hw_rel
o_hbstrt   = $1c4-hw_rel
o_hbstop   = $1c6-hw_rel
o_vtotal   = $1c8-hw_rel
o_vsstop   = $1ca-hw_rel
o_vbstrt   = $1cc-hw_rel
o_vbstop   = $1ce-hw_rel
o_sprhstrt = $1d0-hw_rel
o_sprhstop = $1d2-hw_rel
o_bplhstrt = $1d4-hw_rel
o_bplhstop = $1d6-hw_rel
o_hhposw   = $1d8-hw_rel
o_hhposr   = $1da-hw_rel
o_beamcon0 = $1dc-hw_rel
o_hsstrt   = $1de-hw_rel
o_vsstrt   = $1e0-hw_rel
o_hcenter  = $1e2-hw_rel
o_diwhigh  = $1e4-hw_rel
o_bplhmod  = $1e6-hw_rel
o_sprhpt   = $1e8-hw_rel
o_sprhpth  = $1e8-hw_rel
o_sprhptl  = $1ea-hw_rel
o_bplhpt   = $1ec-hw_rel
o_bplhpth  = $1ec-hw_rel
o_bplhptl  = $1ee-hw_rel
o_fmode    = $1fc-hw_rel

bltddat  = $dff000
dmaconr  = $dff002
vposr    = $dff004
vhposr   = $dff006
dskdatr  = $dff008
joy0dat  = $dff00a
joy1dat  = $dff00c
clxdat   = $dff00e
adkconr  = $dff010
pot0dat  = $dff012
pot1dat  = $dff014
potinp   = $dff016
potgor   = $dff016
serdatr  = $dff018
dskbytr  = $dff01a
intenar  = $dff01c
intreqr  = $dff01e
dskpt    = $dff020
dskpth   = $dff020
dskptl   = $dff022
dsklen   = $dff024
dskdat   = $dff026
refptr   = $dff028
vposw    = $dff02a
vhposw   = $dff02c
copcon   = $dff02e
serdat   = $dff030
serper   = $dff032
potgo    = $dff034
joytest  = $dff036
strequ   = $dff038
strvbl   = $dff03a
strhor   = $dff03c
strlong  = $dff03e
bltcon0  = $dff040
bltcon1  = $dff042
bltam    = $dff044
bltafwm  = $dff044
bltalwm  = $dff046
bltcpt   = $dff048
bltcpth  = $dff048
bltcptl  = $dff04a
bltbpt   = $dff04c
bltbpth  = $dff04c
bltbptl  = $dff04e
bltapt   = $dff050
bltapth  = $dff050
bltaptl  = $dff052
bltdpt   = $dff054
bltdpth  = $dff054
bltdptl  = $dff056
bltsize  = $dff058
bltcon0l = $dff05a
bltsizv  = $dff05c
bltsizh  = $dff05e
bltcmod  = $dff060
bltbmod  = $dff062
bltamod  = $dff064
bltdmod  = $dff066
bltcdat  = $dff070
bltbdat  = $dff072
bltadat  = $dff074
sprhdat  = $dff078
deniseid = $dff07c
lisaid   = $dff07c
dsksync  = $dff07e
cop1lch  = $dff080
cop1lcl  = $dff082
cop1lc   = cop1lch
cop2lch  = $dff084
cop2lcl  = $dff086
cop2lc   = cop2lch
copjmp1  = $dff088
copjmp2  = $dff08a
;copins   = $dff08c collides with NDK includes, not needed anyway
diwstrt  = $dff08e
diwstop  = $dff090
ddfstrt  = $dff092
ddfstop  = $dff094
dmacon   = $dff096
clxcon   = $dff098
intena   = $dff09a
intreq   = $dff09c
adkcon   = $dff09e
aud0lch  = $dff0a0
aud0lcl  = $dff0a2
aud0lc   = aud0lch
aud0len  = $dff0a4
aud0per  = $dff0a6
aud0vol  = $dff0a8
aud0dat  = $dff0aa
aud1lch  = $dff0b0
aud1lcl  = $dff0b2
aud1lc   = aud1lch
aud1len  = $dff0b4
aud1per  = $dff0b6
aud1vol  = $dff0b8
aud1dat  = $dff0ba
aud2lch  = $dff0c0
aud2lcl  = $dff0c2
aud2lc   = aud2lch
aud2len  = $dff0c4
aud2per  = $dff0c6
aud2vol  = $dff0c8
aud2dat  = $dff0ca
aud3lch  = $dff0d0
aud3lcl  = $dff0d2
aud3lc   = aud3lch
aud3len  = $dff0d4
aud3per  = $dff0d6
aud3vol  = $dff0d8
aud3dat  = $dff0da
bpl1pth  = $dff0e0
bpl1ptl  = $dff0e2
bpl1pt   = bpl1pth
bpl2pth  = $dff0e4
bpl2ptl  = $dff0e6
bpl2pt   = bpl2pth
bpl3pth  = $dff0e8
bpl3ptl  = $dff0ea
bpl3pt   = bpl3pth
bpl4pth  = $dff0ec
bpl4ptl  = $dff0ee
bpl4pt   = bpl4pth
bpl5pth  = $dff0f0
bpl5ptl  = $dff0f2
bpl5pt   = bpl5pth
bpl6pth  = $dff0f4
bpl6ptl  = $dff0f6
bpl6pt   = bpl6pth
bpl7pth  = $dff0f8
bpl7ptl  = $dff0fa
bpl7pt   = bpl7pth
bpl8pth  = $dff0fc
bpl8ptl  = $dff0fe
bpl8pt   = bpl8pth
bplcon0  = $dff100
bplcon1  = $dff102
bplcon2  = $dff104
bplcon3  = $dff106
bpl1mod  = $dff108
bpl2mod  = $dff10a
bplcon4  = $dff10c
clxcon2  = $dff10e
bpl1dat  = $dff110
bpl2dat  = $dff112
bpl3dat  = $dff114
bpl4dat  = $dff116
bpl5dat  = $dff118
bpl6dat  = $dff11a
bpl7dat  = $dff11c
bpl8dat  = $dff11e
spr0pth  = $dff120
spr0ptl  = $dff122
spr0pt   = spr0pth
spr1pth  = $dff124
spr1ptl  = $dff126
spr1pt   = spr1pth
spr2pth  = $dff128
spr2ptl  = $dff12a
spr2pt   = spr2pth
spr3pth  = $dff12c
spr3ptl  = $dff12e
spr3pt   = spr3pth
spr4pth  = $dff130
spr4ptl  = $dff132
spr4pt   = spr4pth
spr5pth  = $dff134
spr5ptl  = $dff136
spr5pt   = spr5pth
spr6pth  = $dff138
spr6ptl  = $dff13a
spr6pt   = spr6pth
spr7pth  = $dff13c
spr7ptl  = $dff13e
spr7pt   = spr7pth
spr0pos  = $dff140
spr0ctl  = $dff142
spr0data = $dff144
spr0datb = $dff146
spr1pos  = $dff148
spr1ctl  = $dff14a
spr1data = $dff14c
spr1datb = $dff14e
spr2pos  = $dff150
spr2ctl  = $dff152
spr2data = $dff154
spr2datb = $dff156
spr3pos  = $dff158
spr3ctl  = $dff15a
spr3data = $dff15c
spr3datb = $dff15e
spr4pos  = $dff160
spr4ctl  = $dff162
spr4data = $dff164
spr4datb = $dff166
spr5pos  = $dff168
spr5ctl  = $dff16a
spr5data = $dff16c
spr5datb = $dff16e
spr6pos  = $dff170
spr6ctl  = $dff172
spr6data = $dff174
spr6datb = $dff176
spr7pos  = $dff178
spr7ctl  = $dff17a
spr7data = $dff17c
spr7datb = $dff17e
color00  = $dff180
color0   = $dff180
color01  = $dff182
color1   = $dff182
color02  = $dff184
color2   = $dff184
color03  = $dff186
color3   = $dff186
color04  = $dff188
color4   = $dff188
color05  = $dff18a
color5   = $dff18a
color06  = $dff18c
color6   = $dff18c
color07  = $dff18e
color7   = $dff18e
color08  = $dff190
color8   = $dff190
color09  = $dff192
color9   = $dff192
color10  = $dff194
color11  = $dff196
color12  = $dff198
color13  = $dff19a
color14  = $dff19c
color15  = $dff19e
color16  = $dff1a0
color17  = $dff1a2
color18  = $dff1a4
color19  = $dff1a6
color20  = $dff1a8
color21  = $dff1aa
color22  = $dff1ac
color23  = $dff1ae
color24  = $dff1b0
color25  = $dff1b2
color26  = $dff1b4
color27  = $dff1b6
color28  = $dff1b8
color29  = $dff1ba
color30  = $dff1bc
color31  = $dff1be
htotal   = $dff1c0
hsstop   = $dff1c2
hbstrt   = $dff1c4
hbstop   = $dff1c6
vtotal   = $dff1c8
vsstop   = $dff1ca
vbstrt   = $dff1cc
vbstop   = $dff1ce
sprhstrt = $dff1d0
sprhstop = $dff1d2
bplhstrt = $dff1d4
bplhstop = $dff1d6
hhposw   = $dff1d8
hhposr   = $dff1da
beamcon0 = $dff1dc
hsstrt   = $dff1de
vsstrt   = $dff1e0
hcenter  = $dff1e2
diwhigh  = $dff1e4
bplhmod  = $dff1e6
sprhpth  = $dff1e8
sprhptl  = $dff1ea
sprhpt   = sprhpth
bplhpth  = $dff1ec
bplhptl  = $dff1ee
bplhpt   = bplhpth
fmode    = $dff1fc

bpl_hires     = $8000
bpl_nobpl     = 0
bpl_0bpl      = 0
bpl_1bpl      = $1000
bpl_2bpl      = $2000
bpl_3bpl      = $3000
bpl_4bpl      = $4000
bpl_5bpl      = $5000
bpl_6bpl      = $6000
bpl_7bpl      = $7000
bpl_8bpl      = 16
bpl_ham       = $800
bpl_dblpf     = $400
bpl_color     = $200
bpl_lace      = 4
bpl_shres     = $40
bpl_ecsena    = 1
bpl_killehb   = $200
bpl_rdram     = $100
bpl_colbank0  = 0
bpl_colbank2  = $2000
bpl_colbank4  = $4000
bpl_colbank6  = $6000
bpl_colbank8  = $8000
bpl_colbank10 = $a000
bpl_colbank12 = $c000
bpl_colbank14 = $e000
bpl_loct      = $200
bpl_sprdef    = 0
bpl_sprlo     = $40
bpl_sprhi     = $80
bpl_sprsh     = $c0
bpl_brdrblnk  = $20
bpl_brdsprt   = 2

spr_evenbank0  = 0
spr_evenbank1  = $10
spr_evenbank2  = $20
spr_evenbank3  = $30
spr_evenbank4  = $40
spr_evenbank5  = $50
spr_evenbank6  = $60
spr_evenbank7  = $70
spr_evenbank8  = $80
spr_evenbank9  = $90
spr_evenbank10 = $a0
spr_evenbank11 = $b0
spr_evenbank12 = $c0
spr_evenbank13 = $d0
spr_evenbank14 = $e0
spr_evenbank15 = $f0
spr_oddbank0   = 0
spr_oddbank1   = 1
spr_oddbank2   = 2
spr_oddbank3   = 3
spr_oddbank4   = 4
spr_oddbank5   = 5
spr_oddbank6   = 6
spr_oddbank7   = 7
spr_oddbank8   = 8
spr_oddbank9   = 9
spr_oddbank10  = 10
spr_oddbank11  = 11
spr_oddbank12  = 12
spr_oddbank13  = 13
spr_oddbank14  = 14
spr_oddbank15  = 15

cop_cdang = 2

ciaa       = $bfe001
ciab       = $bfd000
o_pra      = 0
o_prb      = $100
o_ddra     = $200
o_ddrb     = $300
o_talo     = $400
o_tahi     = $500
o_tblo     = $600
o_tbhi     = $700
o_todlo    = $800
o_todmid   = $900
o_todhi    = $a00
o_sdr      = $c00
o_icr      = $d00
o_cra      = $e00
o_crb      = $f00
ciaapra    = $bfe001
ciaaprb    = $bfe101
ciaaddra   = $bfe201
ciaaddrb   = $bfe301
ciaatalo   = $bfe401
ciaatahi   = $bfe501
ciaatblo   = $bfe601
ciaatbhi   = $bfe701
ciaatodlo  = $bfe801
ciaatodmid = $bfe901
ciaatodhi  = $bfea01
ciaasdr    = $bfec01
ciaaicr    = $bfed01
ciaacra    = $bfee01
ciaacrb    = $bfef01
ciabpra    = $bfd000
ciabprb    = $bfd100
ciabddra   = $bfd200
ciabddrb   = $bfd300
ciabtalo   = $bfd400
ciabtahi   = $bfd500
ciabtblo   = $bfd600
ciabtbhi   = $bfd700
ciabtodlo  = $bfd800
ciabtodmid = $bfd900
ciabtodhi  = $bfda00
ciabsdr    = $bfdc00
ciabicr    = $bfdd00
ciabcra    = $bfde00
ciabcrb    = $bfdf00

bit_joyb1 = 7
bit_joyb2 = 14
bit_joyb3 = 12
bit_lmb   = 6
bit_rmb   = 10
bit_mmb   = 8

bit_led    = 1
bit_filter = 1
bit_key    = 3

dma_set     = $8000
dma_clr     = 0
bit_bltbusy = 14
dma_bltpri  = $400
dma_en      = $200
dma_bpl     = $100
dma_cop     = $80
dma_blt     = $40
dma_spr     = $20
dma_dsk     = $10
dma_aud3    = 8
dma_aud2    = 4
dma_aud1    = 2
dma_aud0    = 1
dma_audall  = 15
dma_all     = $1ff

fmode_spr16  = 0
fmode_spr32  = 4
fmode_sprdbl = 8
fmode_spr64  = 12
fmode_bpl16  = 0
fmode_bpl32  = 1
fmode_bpldbl = 2
fmode_bpl64  = 3
fmode_sscan2 = $8000
fmode_bscan2 = $4000

int_set    = $8000
int_clr    = 0
int_en     = $4000
int_ext    = $2000
int_dsksyn = $1000
int_rbf    = $800
int_aud3   = $400
int_aud2   = $200
int_aud1   = $100
int_aud0   = $80
int_blt    = $40
int_vbl    = $20
int_cop    = $10
int_ports  = 8
int_soft   = 4
int_dskblk = 2
int_tbe    = 1
int_all    = $3fff

blt_d      = $100
blt_ad     = $900
blt_abd    = $d00
blt_acd    = $b00
blt_abcd   = $f00
blt_efe    = $10
blt_ife    = 8
blt_fci    = 4
blt_desc   = 2
blt_line   = 1
blt_single = 2
blt_sign   = $40

;-------------------------------------------------------------------------------

               endif
